/**
 * Copyright 2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.testng4osgi.launcher;

import org.ow2.util.maven.osgi.launcher.test.api.ITestReport;

/**
 * Defines a report for a run
 * @author Florent Benoit
 */
public class TestReport implements ITestReport{

    /**
     * Sucess ?
     */
    private boolean success;
    
    /**
     * Build a report
     * @param success the given true/false
     */
    public TestReport(boolean success) {
        this.success = success;
    }
    
    /**
     * @return true if success
     */
    public boolean success() {
        return success;
    }

}
