/**
 * Copyright 2012 Bull S.A.S.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ow2.util.testng4osgi.listener;

import org.testng.ITestContext;
import org.testng.ITestListener;
import org.testng.ITestResult;

public class TestNGTestListener implements ITestListener {

    private int start = 0;
    private int finish = 0;
    private int failures = 0;
    private int skipped = 0;
    private int testStart = 0;
    private int testSuccess = 0;
    
    
    public void onFinish(ITestContext arg0) {
        finish++;
        
    }

    public void onStart(ITestContext arg0) {
        start++;
    }

    public void onTestFailedButWithinSuccessPercentage(ITestResult arg0) {
        
    }

    public void onTestFailure(ITestResult arg0) {
        failures++;
    }

    public void onTestSkipped(ITestResult arg0) {
        skipped++;
    }

    public void onTestStart(ITestResult arg0) {
        testStart++;
    }

    public void onTestSuccess(ITestResult arg0) {
        testSuccess++;
    }

    public int getStart() {
        return start;
    }

    public int getFinish() {
        return finish;
    }

    public int getFailures() {
        return failures;
    }

    public int getSkipped() {
        return skipped;
    }

    public int getTestStart() {
        return testStart;
    }

    public int getTestSuccess() {
        return testSuccess;
    }
    
  

}
